<?php $page = "Add Post"; ?>

<?php include_once('includes/header.php'); ?>
<?php include_once('includes/sidebar.php'); ?>
<?php include_once('includes/navbar.php'); ?>
<link rel="stylesheet" href="assets/plugins/summernote/summernote-lite.min.css">
<?php 

if(isset($_POST['submit']))
{
	
	$valid 				= 1;
	$post_title 		= clean($_POST['post_title']);
	$post_description 	= $_POST['post_description'];
	$post_category 		= clean($_POST['post_category']);
	$post_date_created  = date('Y-m-d H:i:s');
	
	if(isset($_POST['post_status']))
	{
		$post_status 	= clean($_POST['post_status']);

		if($post_status == 'on')
		{
			$post_status = 1;
		}else{
			$post_status = 0;
		}
	}else{
		$post_status = 0;
	}
	

	$statement = $conn->prepare('SELECT  * FROM posts WHERE post_title = ?');
  	$statement->execute(array($post_title));
  	$total = $statement->rowCount();
  	if( $total > 0 ) {
    	$valid    = 0;
    	$errors[] = 'The Post Title is already taken.';
  	}
	//check if fields empty - code starts
	if(empty($post_title)){
	    $valid    = 0;
	    $errors[] = 'Please Enter Post Title';
	}
	if(empty($post_description)){
	    $valid    = 0;
	    $errors[] = 'Please Enter Post Description';
	}
	if(empty($post_category)){
	    $valid    = 0;
	    $errors[] = 'Please Select Post Category';
	}
	//check if fields empty - code ends

	//check User Photo - code starts
  	$post_image     = $_FILES['post_image']['name'];
  	$post_image_tmp = $_FILES['post_image']['tmp_name'];

  	if($post_image!='') {
    	$post_image_ext = pathinfo( $post_image, PATHINFO_EXTENSION );
    	$file_name = basename( $post_image, '.' . $post_image_ext );
    	if( $post_image_ext!='jpg' && $post_image_ext!='png' && $post_image_ext!='jpeg' && $post_image_ext!='gif' )
    	{
	      	$valid = 0;
	      	$errors[]= 'You must have to upload jpg, jpeg, gif or png file<br>';
    	}		
  	}
  	//check User Photo - code ends

  	//If everthing is OK - code starts
	if($valid == 1)
	{
	  	//Upload user Photo if available
		if($post_image!='') {
		    $post_image_file = $file_name.'-post-feature-'.time().'.'.$post_image_ext;
		    move_uploaded_file( $post_image_tmp, 'uploads/posts/'.$post_image_file );
		}else{
			$post_image_file = "default.png";
		}
		//insert the data
		$insert = $conn->prepare("INSERT INTO posts (post_title, post_description, post_category, post_image, post_status, post_date_created) VALUES(?,?,?,?,?,?)");
		$insert->execute(array($post_title, $post_description, $post_category, $post_image_file, $post_status, $post_date_created,));
		//insert the data - code ends
		$_SESSION['success'] = 'Post has been added successfully!';
	    header('location: posts.php');
	    exit(0);
	}
}
?>
<main class="content">
	<div class="container-fluid p-0">
		<h1 class="h3 mb-3"><strong>Add</strong> Post</h1>
		<form action="" method="POST" enctype="multipart/form-data">
			<div class="row">
				<div class="col-12 col-lg-9 d-flex">
					<div class="card">
						<div class="card-header">
							<h5 class="card-title mb-0">Post info</h5>
						</div>
						<div class="card-body">
							<div class="row">
								<div class="col-md-12">
									<div class="mb-3">
										<label class="form-label" for="post_title">Post Title</label>
										<input type="text" class="form-control" id="post_title" placeholder="Enter Post Title" name="post_title">
									</div>
									<div class="mb-3">
										<label class="form-label" for="inputUsername">Post Description</label>
										<textarea name="post_description" id="post_description" cols="30" rows="10"></textarea>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="col-12 col-lg-3">
					<div class="card">
						<div class="card-header">
							<h5 class="card-title mb-0">Post Category</h5>
						</div>
						<div class="card-body">
							<div class="row">
								<div class="col-md-12">
									<select name="post_category" id="post_category" class="form-select">
										<option value="">Select Post Category</option>
									<?php $statement = $conn->prepare('SELECT * FROM post_categories WHERE category_status = 1 ORDER BY category_id DESC');
											$statement->execute();
											$categories = $statement->fetchAll(PDO::FETCH_ASSOC);
											foreach ($categories as $category) { ?>
										<option value="<?php echo clean($category['category_id']); ?>"><?php echo clean($category['category_name']); ?></option>
									<?php } ?>
									</select>
								</div>
							</div>
						</div>
					</div>
					<div class="card">
						<div class="card-header">
							<h5 class="card-title mb-0">Feature Image</h5>
						</div>
						<div class="card-body">
							<div class="row">
								<div class="col-md-12">
									<div class="text-center">
										<img alt="Post Image" src="assets/img/default-image.png" class=" img-responsive mt-2" width="150" height="150" id="profileImg">
										<div class="mt-2">
											<button type="button" class="btn btn-primary">Choose Image
												<input type="file" class="file-upload" value="Upload" name="post_image" onchange="previewFile(this);" accept="image/*">
											</button>
										</div>
									</div>
								</div>

							</div>
						</div>
					</div>
					<div class="card">
						<div class="card-header">
							<h5 class="card-title mb-0">Post Status</h5>
						</div>
						<div class="card-body">
							<div class="row">
								<div class="col-md-12">
									<label for="post_status">Draft / Publish</label>
									<div class="form-check form-switch mt-2">
										<input class="form-check-input" type="checkbox" id="post_status" checked="" name="post_status">
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="col-12 col-lg-12">
					<div class="card">
						<div class="card-body">
							<div class="row">
								<div class="col-md-12">
									<button type="submit" name="submit" class="btn btn-primary">Save changes</button>
								</div>
							</div>
						</div>
					</div>
				</div>	
			</div>
		</form>
	</div>
</main>
<?php include_once('includes/footer.php'); ?>