<?php $page = "Blog Post Categories"; ?>
<?php include_once('includes/header.php'); ?>
<?php include_once('includes/sidebar.php'); ?>
<?php include_once('includes/navbar.php'); ?>
<?php
if(isset($_GET['delete']) AND is_numeric($_GET['delete'])) {
  // Check the id is valid or not
  $statement = $conn->prepare("SELECT * FROM post_categories WHERE category_id=?");
  $statement->execute(array($_GET['delete']));
  $total = $statement->rowCount();
  if( $total == 0) {
    header('location: logout.php');
    exit;
  }else{
    // Delete from Category Table
    $statement = $conn->prepare("DELETE FROM post_categories WHERE category_id=?");
    $statement->execute(array($_GET['delete']));
    $_SESSION['success'] = 'Category has been deleted';
    header('location: categories.php');
    exit(0);
  }
}
?>
<?php 
if(isset($_POST['submit']))
{
	$valid = 1;
	$category_name = clean($_POST['category_name']);
	$category_date_created = date('Y-m-d H:i:s');
	
	if(isset($_POST['category_status']))
	{
		$category_status 	= clean($_POST['category_status']);

		if($category_status == 'on')
		{
			$category_status = 1;
		}else{
			$category_status = 0;
		}
	}else{
		$category_status = 0;
	}

	$statement = $conn->prepare('SELECT  * FROM post_categories WHERE category_name = ?');
	$statement->execute(array($category_name));
	$total = $statement->rowCount();
	if( $total > 0 )
	{
		$valid    = 0;
		$errors[] = 'This Category already exist.';
	}
	//check if fields empty - code starts
	if(empty($category_name))
	{
		$valid    = 0;
		$errors[] = 'Please Enter Category Name';
	}
	//If everthing is OK - code starts
	if($valid == 1)
	{
		//insert the data
		$insert = $conn->prepare("INSERT INTO post_categories (category_name, category_status, category_date_created ) VALUES(?,?,?)");
		$insert->execute(array($category_name, $category_status, $category_date_created));
		//insert the data - code ends
		$_SESSION['success'] = 'Category has been added successfully!';
		header('location: categories.php');
		exit(0);
	}
}
?>
<main class="content">
	<div class="container-fluid p-0">
		<h1 class="h3 mb-3"><strong>Blog Post</strong> Categories</h1>
		<div class="row">
			<div class="col-12 col-lg-4">
				<form action="" method="POST" enctype="multipart/form-data">
					<div class="card">
						<div class="card-header">
							<h5 class="card-title mb-0">Add New Category</h5>
						</div>
						<div class="card-body">
							<div class="row">
								<div class="col-md-12">
									<div class="mb-3">
										<label class="form-label" for="category_name">Category Name</label>
										<input type="text" class="form-control" id="category_name" placeholder="Enter Category Name" name="category_name">
									</div>
									<div class="mt-4">
										<label for="category_status">Status</label>
										<div class="form-check form-switch mt-2">
											<input class="form-check-input" type="checkbox" id="category_status" checked="" name="category_status">
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="card">
						<div class="card-body">
							<div class="row">
								<div class="col-md-12">
									<button type="submit" name="submit" class="btn btn-primary">Save changes</button>
								</div>
							</div>
						</div>
					</div>
				</form>
			</div>
			<div class="col-12 col-lg-8 d-flex">
				<div class="card">
					<div class="card-header">
						<h5 class="card-title mb-0">Blog Post Categories List</h5>
					</div>
					<div class="card-body">
						<table class="table table-hover">
							<thead>
								<tr>
									<th>Category</th>
									<th>No. of Posts</th>
									<th>Status</th>
									<th>Date Created</th>
									<th>Actions</th>
								</tr>
							</thead>
							<tbody>
							<?php
								$i=1;
								$statement = $conn->prepare('SELECT * FROM post_categories ORDER BY category_id DESC');
								$statement->execute();
								$categories = $statement->fetchAll(PDO::FETCH_ASSOC);
								$sNo  = 1;
								foreach ($categories as $category)
								{
							?>
								<tr>
									<td>
										<?php echo clean($category['category_name']); ?>
									</td>
									<td></td>
									<td><?php echo ($category['category_status'] == 1) ? "<span class='badge bg-primary me-1 my-1'>Active</span>" : "<span class='badge bg-danger me-1 my-1'>Disabled <span>"; ?></td>
									<td><?php echo date("M d, Y", strtotime($category['category_date_created'])); ?></td>
									<td>
										<a href="edit-category.php?edit=<?php echo clean($category['category_id']); ?>"><i class="align-middle" data-feather="edit-2"></i></a>
										<a href="#" data-href="categories.php?delete=<?php echo clean($category['category_id']); ?>" data-bs-toggle="modal" data-bs-target="#confirm-delete-danger"><i class="align-middle" data-feather="trash" ></i></a>
									</td>
								</tr>
							<?php } ?>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>
		</div>
	</main>
<!-- BEGIN primary modal -->
<div class="modal fade" id="confirm-delete-danger" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Delete Category</h5>
				<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
			</div>
			<div class="modal-body m-3">
				<p class="mb-0">Are you sure to delete this Category?</p>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
				<a class="btn btn-danger">Delete Category</a>
			</div>
		</div>
	</div>
</div>
<!-- END primary modal -->
<?php include_once('includes/footer.php'); ?>