<?php $page = "Edit Post Category"; ?>
<?php include_once('includes/header.php'); ?>
<?php include_once('includes/sidebar.php'); ?>
<?php include_once('includes/navbar.php'); ?>
<?php 
// Check the id is valid or not
if(!isset($_GET['edit']) OR !is_numeric($_GET['edit']))
{
      header('location: logout.php');
      exit;
    }else
    {
      $statement = $conn->prepare("SELECT * FROM post_categories WHERE category_id=?");
      $statement->execute(array($_GET['edit']));
      $total  = $statement->rowCount();
      $result = $statement->fetch(PDO::FETCH_ASSOC);
      if( $total == 0 ) {
        header('location: logout.php');
        exit;
      }
      else{
        $a = extract($result,EXTR_PREFIX_ALL, "edit");
      }
		}
?>
<?php 

if(isset($_POST['submit'])){

	$valid 									= 1;
	$category_name 					= clean($_POST['category_name']);
	$category_date_created  = date('Y-m-d H:i:s');
	
	if(isset($_POST['category_status'])){
		
		$category_status 	= clean($_POST['category_status']);
		if($category_status == 'on'){
			$category_status = 1;
		}else{
			$category_status = 0;
		}

	}else{
			$category_status = 0;
	}

	$statement = $conn->prepare('SELECT  * FROM post_categories WHERE category_name = ? AND category_id != ?');
	$statement->execute(array($category_name, $_GET['edit']));
	$total = $statement->rowCount();
	if( $total > 0 ) {
		$valid    = 0;
		$errors[] = 'This Category already exist.';
	}
	//check if fields empty - code starts
	if(empty($category_name)){
		$valid    = 0;
		$errors[] = 'Please Enter Category Name';
	}
	//If everthing is OK - code starts
	if($valid == 1) {
		//update the data
		$update = $conn->prepare("UPDATE post_categories SET category_name = ?, category_status= ? WHERE category_id = ?");
		$update->execute(array($category_name, $category_status, $_GET['edit']));
		//update the data - code ends
		$_SESSION['success'] = 'Category has been updated successfully!';
		header('location: categories.php');
		exit(0);
	}
}
?>
<main class="content">
	<div class="container-fluid p-0">
		<h1 class="h3 mb-3"><strong>Edit Post</strong> Category</h1>
		<div class="row">
			<div class="col-12 col-lg-4">
				<form action="" method="POST" enctype="multipart/form-data">
					<div class="card">
						<div class="card-header">
							<h5 class="card-title mb-0">Edit Category</h5>
						</div>
						<div class="card-body">
							<div class="row">
								<div class="col-md-12">
									<div class="mb-3">
										<label class="form-label" for="category_name">Category Name</label>
										<input type="text" class="form-control" id="category_name" placeholder="Enter Category Name" name="category_name" value="<?php echo clean($edit_category_name); ?>">
									</div>
									<div class="mt-4">
										<label for="category_status">Status</label>
										<div class="form-check form-switch mt-2">
											<input class="form-check-input" type="checkbox" id="category_status" name="category_status" <?php if($edit_category_status == 1){echo 'checked=""';} ?>>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="card">
						<div class="card-body">
							<div class="row">
								<div class="col-md-12">
									<button type="submit" name="submit" class="btn btn-primary">Save changes</button>
								</div>
							</div>
						</div>
					</div>
				</form>
			</div>
		</div>
	</main>
<!-- END primary modal -->
<?php include_once('includes/footer.php'); ?>