<?php $page = "Sign Up"; ?>
<?php
    if(!session_start()){
      session_start();
    }
    session_regenerate_id(true);
    include("db-config.php");
    include("functions.php");

    if(isset($_SESSION['user'])) {
      header('location: dashboard.php');
      exit;
    } 
?>
<?php 
      $statement = $conn->prepare("SELECT * FROM site_settings");
      $statement->execute();
      $result = $statement->fetch(PDO::FETCH_ASSOC);
      extract($result); 
?>
<?php
    if(isset($_POST['signup'])) {

        $valid            = 1;
        $user_full_name   = clean($_POST['user_full_name']);
        $username         = clean($_POST['username']);
        $email            = clean($_POST['email']);
        $password         = clean($_POST['password']);
        $confirm_password = clean($_POST['confirm_password']);
        $date_created     = date('Y-m-d H:i:s');
        $password_hash    = password_hash($password, PASSWORD_DEFAULT);

        if(empty($user_full_name)) {
          $errors[] = 'User full name can not be empty</br>';
          $valid = 0;
        }

        if(empty($username)) {
          $errors[] = 'Username can not be empty</br>';
          $valid = 0;
        }

        if(empty($email)) {
          $errors[] = 'Email can not be empty</br>';
          $valid = 0;
        }

        if(empty($password)) {
          $errors[] = 'Password can not be empty';
          $valid = 0;
        }else if(!empty($password)){
          if(strlen($password) < 4){
              $valid    = 0;
              $errors[] = "Password must be atleast 4 characters";
            }
        }

        if(empty($confirm_password)) {
          $errors[] = 'Conform password can not be empty';
          $valid = 0;
        }

        if($password != $confirm_password){
          $valid    = 0;
          $errors[] = 'Password and Verify Password are not same';
        }

        $statement = $conn->prepare('SELECT  * FROM users WHERE user_name = ? OR email = ?');
        $statement->execute(array($username, $email));
        $total = $statement->rowCount();
        if( $total > 0 ) {
          $valid    = 0;
          $errors[] = 'This user is already registered.';
        }

        if($valid == 1){

          $reg_token  = md5(uniqid(rand(), true));
          $token_time = time();
           
           //insert the data
          $insert = $conn->prepare("INSERT INTO users (user_full_name, email, user_name, user_password, user_photo, user_status, reg_token, token_time, user_date_created ) VALUES(?,?,?,?,?,?,?,?,?)");

          $insert->execute(array($user_full_name, $email, $username, $password_hash, 'default.png', '0', $reg_token, $token_time, $date_created));

          //insert the data - code ends

          if (empty($_SERVER['HTTPS']) || $_SERVER['HTTPS'] === 'off') {
              $protocol = 'http://';
          } else {
              $protocol = 'https://';
          }
        
          $base_url = $protocol . $_SERVER['SERVER_NAME'] . dirname($_SERVER['PHP_SELF']);

          $subject = 'Registration Email Confirmation';
          $verify_link = $base_url.'/index.php?email='.$email.'&token='.$reg_token;
          $message = '
          <!doctype html>
          <html>
          <head>
            <meta name="viewport" content="width=device-width">
            <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
            <title></title>
            <style>
            /* -------------------------------------
                RESPONSIVE AND MOBILE FRIENDLY STYLES
            ------------------------------------- */
            @media only screen and (max-width: 620px) {
              table[class=body] h1 {
                font-size: 28px !important;
                margin-bottom: 10px !important;
              }
              table[class=body] p,
                    table[class=body] ul,
                    table[class=body] ol,
                    table[class=body] td,
                    table[class=body] span,
                    table[class=body] a {
                font-size: 16px !important;
              }
              table[class=body] .wrapper,
                    table[class=body] .article {
                padding: 10px !important;
              }
              table[class=body] .content {
                padding: 0 !important;
              }
              table[class=body] .container {
                padding: 0 !important;
                width: 100% !important;
              }
              table[class=body] .main {
                border-left-width: 0 !important;
                border-radius: 0 !important;
                border-right-width: 0 !important;
              }
              table[class=body] .btn table {
                width: 100% !important;
              }
              table[class=body] .btn a {
                width: 100% !important;
              }
              table[class=body] .img-responsive {
                height: auto !important;
                max-width: 100% !important;
                width: auto !important;
              }
            }
        
            /* -------------------------------------
                PRESERVE THESE STYLES IN THE HEAD
            ------------------------------------- */
            @media all {
              .ExternalClass {
                width: 100%;
              }
              .ExternalClass,
                    .ExternalClass p,
                    .ExternalClass span,
                    .ExternalClass font,
                    .ExternalClass td,
                    .ExternalClass div {
                line-height: 100%;
              }
              .apple-link a {
                color: inherit !important;
                font-family: inherit !important;
                font-size: inherit !important;
                font-weight: inherit !important;
                line-height: inherit !important;
                text-decoration: none !important;
              }
              #MessageViewBody a {
                color: inherit;
                text-decoration: none;
                font-size: inherit;
                font-family: inherit;
                font-weight: inherit;
                line-height: inherit;
              }
              .btn-primary table td:hover {
                background-color: #34495e !important;
              }
              .btn-primary a:hover {
                background-color: #34495e !important;
                border-color: #34495e !important;
              }
            }
            </style>
          </head>
          <body class="" style="background-color: #f6f6f6; font-family: sans-serif; -webkit-font-smoothing: antialiased; font-size: 14px; line-height: 1.4; margin: 0; padding: 0; -ms-text-size-adjust: 100%; -webkit-text-size-adjust: 100%;">
            <span class="preheader" style="color: transparent; display: none; height: 0; max-height: 0; max-width: 0; opacity: 0; overflow: hidden; mso-hide: all; visibility: hidden; width: 0;"></span>
            <table role="presentation" border="0" cellpadding="0" cellspacing="0" class="body" style="border-collapse: separate; mso-table-lspace: 0pt; mso-table-rspace: 0pt; width: 100%; background-color: #f6f6f6;">
              <tr>
                <td style="font-family: sans-serif; font-size: 14px; vertical-align: top;">&nbsp;</td>
                <td class="container" style="font-family: sans-serif; font-size: 14px; vertical-align: top; display: block; Margin: 0 auto; max-width: 580px; padding: 10px; width: 580px;">
                  <div class="content" style="box-sizing: border-box; display: block; Margin: 0 auto; max-width: 580px; padding: 10px;">
        
                    <!-- START CENTERED WHITE CONTAINER -->
                    <table role="presentation" class="main" style="border-collapse: separate; mso-table-lspace: 0pt; mso-table-rspace: 0pt; width: 100%; background: #ffffff; border-radius: 3px;">
        
                      <!-- START MAIN CONTENT AREA -->
                      <tr>
                        <td class="wrapper" style="font-family: sans-serif; font-size: 14px; vertical-align: top; box-sizing: border-box; padding: 20px;">
                          <table role="presentation" border="0" cellpadding="0" cellspacing="0" style="border-collapse: separate; mso-table-lspace: 0pt; mso-table-rspace: 0pt; width: 100%;">
                            <tr>
                              <td style="font-family: sans-serif; font-size: 14px; vertical-align: top;">
                                <p style="font-family: sans-serif; font-size: 14px; font-weight: normal; margin: 0; Margin-bottom: 15px;">Thank you for signing up!</p>
                                <p style="font-family: sans-serif; font-size: 14px; font-weight: normal; margin: 0; Margin-bottom: 15px;">Your account has been created, you can login with your credentials after you have activated your account by pressing the button below.</p>
                                <table role="presentation" border="0" cellpadding="0" cellspacing="0" class="btn btn-primary" style="border-collapse: separate; mso-table-lspace: 0pt; mso-table-rspace: 0pt; width: 100%; box-sizing: border-box;">
                                  <tbody>
                                    <tr>
                                      <td align="left" style="font-family: sans-serif; font-size: 14px; vertical-align: top; padding-bottom: 15px;">
                                        <table role="presentation" border="0" cellpadding="0" cellspacing="0" style="border-collapse: separate; mso-table-lspace: 0pt; mso-table-rspace: 0pt; width: auto;">
                                          <tbody>
                                            <tr>
                                              <td style="font-family: sans-serif; font-size: 14px; vertical-align: top; background-color: #3498db; border-radius: 5px; text-align: center;"> <a href="'.$verify_link.'" target="_blank" style="display: inline-block; color: #ffffff; background-color: #3498db; border: solid 1px #3498db; border-radius: 5px; box-sizing: border-box; cursor: pointer; text-decoration: none; font-size: 14px; font-weight: bold; margin: 0; padding: 12px 25px; text-transform: capitalize; border-color: #3498db;">Click to Verify</a> </td>
                                            </tr>
                                          </tbody>
                                        </table>
                                      </td>
                                    </tr>
                                  </tbody>
                                </table>
                                <p style="font-family: sans-serif; font-size: 14px; font-weight: normal; margin: 0; Margin-bottom: 15px;"></p>
                              </td>
                            </tr>
                          </table>
                        </td>
                      </tr>
        
                    <!-- END MAIN CONTENT AREA -->
                    </table>
        
                    <!-- START FOOTER -->
                    <div class="footer" style="clear: both; Margin-top: 10px; text-align: center; width: 100%;">
                      <table role="presentation" border="0" cellpadding="0" cellspacing="0" style="border-collapse: separate; mso-table-lspace: 0pt; mso-table-rspace: 0pt; width: 100%;">
                        <tr>
                          <td class="content-block" style="font-family: sans-serif; vertical-align: top; padding-bottom: 10px; padding-top: 10px; font-size: 12px; color: #999999; text-align: center;">
                            <span class="apple-link" style="color: #999999; font-size: 12px; text-align: center;">KP Admin - PHP Admin Panel Starter</span>
                            <br> Want to buy? <a href="https://codecanyon.net/item/kp-admin-php-admin-panel-starter/34043265" style="text-decoration: underline; color: #999999; font-size: 12px; text-align: center;">Click here</a>.
                          </td>
                        </tr>
                      </table>
                    </div>
                    <!-- END FOOTER -->
        
                  <!-- END CENTERED WHITE CONTAINER -->
                  </div>
                </td>
                <td style="font-family: sans-serif; font-size: 14px; vertical-align: top;">&nbsp;</td>
              </tr>
            </table>
          </body>
        </html>';

          $headers = "From: ".$email_from_name."\r\n" .
                 "Reply-To: ".$email_from_address."\r\n" .
                 "X-Mailer: PHP/" . phpversion() . "\r\n" . 
                 "MIME-Version: 1.0\r\n" . 
                 "Content-Type: text/html; charset=ISO-8859-1\r\n";
                   
          if($email_type == 'smtp_mail'){
            smtp_mail($email, $subject, $message);
          }else{
            mail($email, $subject, $message, $headers); // Send the email
          }

          $_SESSION['success'] = 'You have registered successfully, kindly check your mailbox and verify your email address!';
          header('location: index.php');
          exit(0);
      }
    }
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="Ready to use PHP Admin Panel for projects">
  <meta name="author" content="amiriqbalmcs">
  <meta name="keywords" content="bootstrap, bootstrap 5, admin, dashboard, php">

  <link rel="preconnect" href="https://fonts.gstatic.com">
  <link rel="shortcut icon" href="img/icons/icon-48x48.png" />

  <title><?php if(isset($page)){echo clean($page) . " | Admin | Dashboard";}else{echo "Admin | Dashboard";} ?></title>

  <link href="assets/css/app.css" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css2?family=Inter:wght@300;400;600&display=swap" rel="stylesheet">
  <link href="assets/plugins/toastr/toastr.min.css" rel="stylesheet">
</head>
<body>
  <main class="d-flex w-100">
    <div class="container d-flex flex-column">
      <div class="row vh-100">
        <div class="col-sm-10 col-md-8 col-lg-4 mx-auto d-table h-100">
          <div class="d-table-cell align-middle">
            <div class="text-center mt-4">
              <h1 class="h2">Get started!</h1>
              <p class="lead">
                Sign up your account to continue
              </p>
            </div>
            <div class="card">
              <div class="card-body">
                <div class="m-sm-4">
                  <div class="text-center">
                    <img src="uploads/logo/<?php echo clean($site_logo); ?>" alt="Site Logo" class="img-fluid rounded-circle" width="132" height="132" />
                  </div>
                  <form action="" method="POST">
                    <div class="mb-3">
                      <label class="form-label">User Full Name</label>
                      <input class="form-control form-control-lg" type="text" name="user_full_name" placeholder="Enter full name" value="<?php if(isset($user_full_name)){echo clean($user_full_name);} ?>" required="required"/>
                    </div>
                    <div class="mb-3">
                      <label class="form-label">Username</label>
                      <input class="form-control form-control-lg" type="text" name="username" placeholder="Enter username" value="<?php if(isset($username)){echo clean($username);} ?>" required="required"/>
                    </div>
                    <div class="mb-3">
                      <label class="form-label">Email Address</label>
                      <input class="form-control form-control-lg" type="email" name="email" placeholder="Enter your email address" value="<?php if(isset($email)){echo clean($email);} ?>" required="required"/>
                    </div>
                    <div class="mb-3">
                      <label class="form-label">Password</label>
                      <input class="form-control form-control-lg" type="password" name="password" placeholder="Enter password" required="required"/>
                    </div>
                    <div class="mb-3">
                      <label class="form-label">Confirm Password</label>
                      <input class="form-control form-control-lg" type="password" name="confirm_password" placeholder="Enter confirm password" required="required"/>
                    </div>
                    <div>
                    </div>
                    <div class="text-center mt-3">
                      <button type="submit" name="signup" class="btn btn-lg btn-primary">Sign Up</button>
                    </div>
                    <div class="text-center mt-3">
                      Already Registered?<a href="index.php"> Login</a>
                    </div>
                  </form>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </main>
  <script src="assets/js/jquery.min.js"></script>
  <script src="assets/js/app.js"></script>
  <script src="assets/plugins/toastr/toastr.min.js"></script>
  <?php include_once('includes/notifications.php'); ?>
</body>
</html>